Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 218 - The inn rpm won't work for news over UUCP
Summary: The inn rpm won't work for news over UUCP
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: inn
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-11-29 00:55 UTC by Marc MERLIN
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-22 14:52:30 UTC


Attachments (Terms of Use)

Description Marc MERLIN 1998-11-29 00:55:35 UTC
This is an old bug forwarded to your new bug tracking system

Yes I know, few people still do news over UUCP, but for the
few that might try, here are a couple of
fixes:

1) the permission on /usr/lib/news/rnews are wrong (as per
the INN FAQ). It should be 6555 uucp.news because without
this rnews can't write in the UUCP spool areas (4555 may be
enough though)

2) magic:~# less
/usr/lib/news/bin/sendbatch.diff
--- sendbatch.orig      Thu Sep 17 13:19:55
1998
+++ sendbatch   Thu Sep 17 13:20:44
1998
@@ -134,7 +134,7
@@
     cat ${SITE}.work
>>${BATCHFILE}
     rm -f
${SITE}.work
     if [ ! -s ${BATCHFILE} ] ;
then
-       echo "${PROG}:  No articles for
${SITE}."
+       #echo "${PROG}:  No articles for
${SITE}."
        rm -f
${LOCK}

continue
     fi

sendbatch has to be run by news to queue outgoing news, but
without this patch, if there are no messages, you get an
Email.
This used to be acceptable for sites who had a newsfeed for
a bunch of users and only synced a few times a day, but when
you use uucp over tcp and run the queue every 10 minutes,
the mails quickly get annoying...

Comment 1 Preston Brown 1999-03-20 00:11:59 UTC
stole the bug

Comment 2 Preston Brown 1999-03-22 14:52:59 UTC
I have fixed the first bug (permissions problem) as of inn-2.2-5, but
I am not going to change the second one.  As you said, whether you
want the mail or not is highly variable depending on how often you do
your news synchronization.  At red hat we are more in favor of
providing verbosity and letting the user configure for brevity than
the other way around in most circumstances.  In this case, the output
could be squelched with a simple modification to the cron job or, as
you have, directly editing the shell script.  However, I don't think
it would be wise for us to change this behaviour, as some people may
have been relying on it for quite some time for their sysadmin
monitoring scripts, etc.


Note You need to log in before you can comment on or make changes to this bug.